Approval Requests
Alle Operationen rund um Approval Requests.
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/approval_requests |
Create approval_request | Create a new approval_request in the active tenant. |
DELETE |
/v1/approval_requests/{id} |
Delete approval_request | Soft delete entity. |
GET |
/v1/approval_requests/{id} |
Get approval_request by id | Fetch a single approval_request. |
GET |
/v1/approval_requests/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/approval_requests/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/approval_requests/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/approval_requests |
List approval_requests | List approval_requests for the active tenant. |
PATCH |
/v1/approval_requests/{id} |
Patch approval_request | JSON Merge Patch update. |
POST |
/v1/approval_requests/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/approval_requests/{id}/transition |
POST /v1/approval_requests/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/approval_requests/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/approval_requests/{id} |
Replace approval_request | Full replace with optimistic locking. |